## primus-vk 1.4

=== Makefile ===
DESTDIR      ?=
PREFIX        = $(DESTDIR)/usr/local
INSTALL       = /usr/bin/install
override INSTALL += -D
MSGFMT        = /usr/bin/msgfmt
SED           = /bin/sed
LN            = /bin/ln
bindir        = $(PREFIX)/bin
libdir        = $(PREFIX)/lib
sysconfdir    = $(PREFIX)/etc
datarootdir   = ${PREFIX}/share
datadir       = ${datarootdir}

override CXXFLAGS += --std=gnu++11 -g3

all: libprimus_vk.so libnv_vulkan_wrapper.so

libprimus_vk.so: primus_vk.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -I/usr/include/vulkan -shared -fPIC $^ -o $@ -Wl,-soname,libprimus_vk.so.1 -ldl -lpthread $(LDFLAGS)

libnv_vulkan_wrapper.so: nv_vulkan_wrapper.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -I/usr/include/vulkan -shared -fPIC $^ -o $@ -Wl,-soname,libnv_vulkan_wrapper.so.1 -ldl $(LDFLAGS)

primus_vk_forwarding.h:
	xsltproc surface_forwarding_functions.xslt /usr/share/vulkan/registry/vk.xml | tail -n +2 > $@

primus_vk_forwarding_prototypes.h:
	xsltproc surface_forwarding_prototypes.xslt /usr/share/vulkan/registry/vk.xml | tail -n +2 > $@

primus_vk.cpp: primus_vk_forwarding.h primus_vk_forwarding_prototypes.h

primus_vk_diag: primus_vk_diag.o
	$(CXX) -g3 -o $@ $^ -lX11 -lvulkan -ldl $(LDFLAGS)

clean:
	rm -f libnv_vulkan_wrapper.so libprimus_vk.so

install: all
	$(INSTALL) "libnv_vulkan_wrapper.so" "$(libdir)/libnv_vulkan_wrapper.so.1"
	$(LN) -s "libnv_vulkan_wrapper.so.1" "$(libdir)/libnv_vulkan_wrapper.so"
	$(INSTALL) "libprimus_vk.so"  "$(libdir)/libprimus_vk.so.1"
	$(LN) -s "libprimus_vk.so.1" "$(libdir)/libprimus_vk.so"
	$(INSTALL) -m644 "primus_vk.json" -t "$(datadir)/vulkan/implicit_layer.d/"
	$(INSTALL) -m644 "nv_vulkan_wrapper.json" -t "$(datadir)/vulkan/icd.d/"
	$(INSTALL) -m755 "pvkrun.in.sh" "$(bindir)/pvkrun"

## primus-vk 1.3

=== debian/changelog ===
primus-vk (1.3-3+rpi2) bullseye-staging; urgency=medium

  * Also disable primus-vk-nvidia.
  * Fix clean target.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 07 Dec 2019 02:54:38 +0000

primus-vk (1.3-3+rpi1) bullseye-staging; urgency=medium

  * Disable libnv-vulkan-wrapper1 package, we don't have any nvidia stuff in raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 01 Dec 2019 03:06:16 +0000

primus-vk (1.3-3) unstable; urgency=medium

  * No change source upload to allow migration to testing.

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Nov 2019 10:01:00 +0000

primus-vk (1.3-2) unstable; urgency=medium

  [ Felix Dörre ]
  * restrict architectures for libnv-vulkan-wrapper1 to those that build
    NVIDIA drivers and the required libraries
  * another section-fix: move primus-vk from contrib/utils to utils

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Nov 2019 18:20:18 +0000

primus-vk (1.3-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream release v1.3 with a few improvements
  * move primus-vk-nvidia-i386 to correct section

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Nov 2019 10:20:10 +0000

primus-vk (1.2-1) unstable; urgency=medium

  [ Felix Dörre ]
  * Initial release (Closes: #940631)

 -- Luca Boccassi <bluca@debian.org>  Sun, 06 Oct 2019 20:24:34 +0100

=== debian/control ===
Source: primus-vk
Section: utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 12),
               libvulkan-dev (>= 1.1.108),
               vulkan-validationlayers-dev (>= 1.1.108),
Standards-Version: 4.4.1
Homepage: https://github.com/felixdoerre/primus_vk
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/nvidia-team/primus-vk
Vcs-Git: https://salsa.debian.org/nvidia-team/primus-vk.git

Package: primus-vk
Architecture: all
Section: utils
Depends: bumblebee, libprimus-vk1, ${misc:Depends}
Recommends: libprimus-vk1:amd64, libprimus-vk1:i386
Description: Vulkan layer for GPU offloading
 Typically you want to display an image rendered on a more powerful
 GPU on a display managed by an internal GPU. The layer in this package will
 direct rendering commands to a dedicated, more powerful GPU an when such an
 image is displayed it will be copied to the integrated CPU for displaying.

Package: primus-vk-nvidia
Architecture: none
Section: contrib/utils
Depends: bumblebee,
         libglx-nvidia0 | libglx-nvidia-legacy-390xx0,
	 libnvidia-glvkspirv,
         libnv-vulkan-wrapper1,
         mesa-vulkan-drivers,
         primus-libs,
         primus-vk,
         ${misc:Depends},
Recommends: primus-vk-nvidia-i386
Breaks: nvidia-nonglvnd-vulkan-common, nvidia-vulkan-common, primus
Description: Hybrid runner for primus-vk configured for nvidia
 Adds the pvkrun runner which can be used as a universal runner
 for both OpenGL and Vulkan applications. The runner is preconfigured for
 Nvidia+Intel optimus setup and should work immediately.

Package: primus-vk-nvidia-i386
Architecture: i386
Section: contrib/utils
Depends: libglx-nvidia0 | libglx-nvidia-legacy-390xx0,
	 libnvidia-glvkspirv,
         libnv-vulkan-wrapper1,
         libprimus-vk1,
         mesa-vulkan-drivers,
         primus-libs,
         ${misc:Depends},
Multi-Arch: foreign
Description: dependencies of primus-vk-nvidia also for 32-bit applications
 This package depends on 32-bit libraries for primus. It can safely be
 removed after installation.

Package: libprimus-vk1
Architecture: any
Section: libs
Multi-Arch: same
Depends: libvulkan1 (>= 1.1.108), ${misc:Depends}, ${shlibs:Depends}
Description: vulkan layer library for the primus-vk layer
 This library implements the primus-vk layer. It decides which GPU
 the individual Vulkan API calls should go against and does the image
 copying.

Package: libnv-vulkan-wrapper1
Architecture: none
Section: contrib/libs
Multi-Arch: same
Depends: libgl1-nvidia-glx | libglx-nvidia0 | libglx-nvidia-legacy-390xx0,
         libvulkan1,
         ${misc:Depends},
         ${shlibs:Depends},
Description: thinly wraps the nvidia binary vulkan driver so it misbehaves less
 This library is a thin wrapper around the Vulkan API functions of the
 nvidia Vulkan driver. The Vulkan driver misbehaves for example by reading the
 DISPLAY environment variable and connecting to that display server. This
 library corrects that misbehaviour, so the driver can be successfully used
 with bumblebee.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all


export DEB_CXXFLAGS_MAINT_APPEND=-DNV_DRIVER_PATH=\"/usr/lib/$(DEB_TARGET_MULTIARCH)/nvidia/nvidia/libGL.so.1:libGLX_nvidia.so.0\"

%:
	dh $@

INSTALL=install -D
override_dh_auto_install:
	$(INSTALL) "libnv_vulkan_wrapper.so" -T "debian/libnv-vulkan-wrapper1/usr/lib/$(DEB_TARGET_MULTIARCH)/libnv_vulkan_wrapper.so.1"
	$(INSTALL) "libprimus_vk.so" -T "debian/libprimus-vk1/usr/lib/$(DEB_TARGET_MULTIARCH)/libprimus_vk.so.1"
	$(INSTALL) -m644 "primus_vk.json" -t "debian/primus-vk/usr/share/vulkan/implicit_layer.d/"
	$(INSTALL) -m644 "nv_vulkan_wrapper.json" -t "debian/primus-vk-nvidia/usr/share/vulkan/icd.d/"
	$(INSTALL) -m755 "debian/pvkrun.nvidia" -T "debian/primus-vk-nvidia/usr/bin/pvkrun"
	$(INSTALL) -m644 "debian/pvkrun.bash-completion" -T "debian/primus-vk-nvidia/usr/share/bash-completion/completions/primus-vk-nvidia"

	sed -i s/libprimus_vk.so/libprimus_vk.so.1/ debian/primus-vk/usr/share/vulkan/implicit_layer.d/primus_vk.json
	sed -i s/libnv_vulkan_wrapper.so/libnv_vulkan_wrapper.so.1/ debian/primus-vk-nvidia/usr/share/vulkan/icd.d/nv_vulkan_wrapper.json

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/primus-vk-nvidia
	rm -rf debian/libnv-vulkan-wrapper1

## primus-vk 1.4

=== debian/changelog ===
primus-vk (1.4-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Mar 2020 20:48:25 -0700

primus-vk (1.4-1) unstable; urgency=medium

  [ Felix Dörre ]
  * Upstream fixes which ensure compatibility with 440-nvidia-driver

 -- Luca Boccassi <bluca@debian.org>  Mon, 10 Feb 2020 18:26:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: primus-vk
 Section: utils
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper-compat (= 12),
                libvulkan-dev (>= 1.1.108),
                vulkan-validationlayers-dev (>= 1.1.108),
+	       libwayland-dev, libx11-dev, libxcb1-dev
 Standards-Version: 4.4.1
 Homepage: https://github.com/felixdoerre/primus_vk
 Rules-Requires-Root: no
@@ -24,11 +26,11 @@
  image is displayed it will be copied to the integrated CPU for displaying.
 
 Package: primus-vk-nvidia
-Architecture: none
+Architecture: all
 Section: contrib/utils
 Depends: bumblebee,
          libglx-nvidia0 | libglx-nvidia-legacy-390xx0,
-	 libnvidia-glvkspirv,
+	     libnvidia-glvkspirv,
          libnv-vulkan-wrapper1,
          mesa-vulkan-drivers,
          primus-libs,
@@ -67,7 +69,7 @@
  copying.
 
 Package: libnv-vulkan-wrapper1
-Architecture: none
+Architecture: amd64 i386 armhf
 Section: contrib/libs
 Multi-Arch: same
 Depends: libgl1-nvidia-glx | libglx-nvidia0 | libglx-nvidia-legacy-390xx0,

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,3 @@
 
 	sed -i s/libprimus_vk.so/libprimus_vk.so.1/ debian/primus-vk/usr/share/vulkan/implicit_layer.d/primus_vk.json
 	sed -i s/libnv_vulkan_wrapper.so/libnv_vulkan_wrapper.so.1/ debian/primus-vk-nvidia/usr/share/vulkan/icd.d/nv_vulkan_wrapper.json
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf debian/primus-vk-nvidia
-	rm -rf debian/libnv-vulkan-wrapper1

## primus-vk 1.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR      ?=
-PREFIX        = $(DESTDIR)/usr/local
+PREFIX        = /usr/local
 INSTALL       = /usr/bin/install
 override INSTALL += -D
 MSGFMT        = /usr/bin/msgfmt
@@ -36,10 +36,8 @@
 	rm -f libnv_vulkan_wrapper.so libprimus_vk.so
 
 install: all
-	$(INSTALL) "libnv_vulkan_wrapper.so" "$(libdir)/libnv_vulkan_wrapper.so.1"
-	$(LN) -s "libnv_vulkan_wrapper.so.1" "$(libdir)/libnv_vulkan_wrapper.so"
-	$(INSTALL) "libprimus_vk.so"  "$(libdir)/libprimus_vk.so.1"
-	$(LN) -s "libprimus_vk.so.1" "$(libdir)/libprimus_vk.so"
-	$(INSTALL) -m644 "primus_vk.json" -t "$(datadir)/vulkan/implicit_layer.d/"
-	$(INSTALL) -m644 "nv_vulkan_wrapper.json" -t "$(datadir)/vulkan/icd.d/"
-	$(INSTALL) -m755 "pvkrun.in.sh" "$(bindir)/pvkrun"
+	$(INSTALL) "libnv_vulkan_wrapper.so" "$(DESTDIR)$(libdir)/libnv_vulkan_wrapper.so.1"
+	$(INSTALL) "libprimus_vk.so"  "$(DESTDIR)$(libdir)/libprimus_vk.so.1"
+	$(INSTALL) -m644 "primus_vk.json" -t "$(DESTDIR)$(datadir)/vulkan/implicit_layer.d/"
+	$(INSTALL) -m644 "nv_vulkan_wrapper.json" -t "$(DESTDIR)$(datadir)/vulkan/icd.d/"
+	$(INSTALL) -m755 "pvkrun.in.sh" "$(DESTDIR)$(bindir)/pvkrun"

=== debian/changelog ===
primus-vk (1.5-2) unstable; urgency=medium

  * Build nvidia-specific packages for arm64.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jul 2020 10:37:20 +0200

primus-vk (1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jun 2020 15:00:43 +0200

primus-vk (1.4-2) unstable; urgency=medium

  * Sync with upstream master.
  * Add upstream metadata.
  * Use dh_bash-completion.
  * Use dh_auto_install.
  * Switch to debhelper-compat (= 13).
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Add myself to Uploaders.
  * Move implicit_layer.d/primus_vk.json into libprimus-vk1.
  * Use 'Recommends: libprimus-vk1:i386 [amd64]' to pull in the 32-bit parts.
  * Support all NVIDIA drivers with Vulkan ICD.  (Closes: #948952)
  * Move the NVIDIA Vulkan ICD wrapper from libnv-vulkan-wrapper1 to
    nvidia-primus-vk-{common,wrapper}.
  * nvidia-primus-vk-wrapper: Try libGLX_nvidia.so.0 first.
  * Move pvkrun back from primus-vk-nvidia to primus-vk.
  * Make primus-vk-nvidia an arch-specific metapackage.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 May 2020 20:14:08 +0200

=== debian/control ===
Source: primus-vk
Section: utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Luca Boccassi <bluca@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 bash-completion,
 libvulkan-dev (>= 1.1.108),
 libwayland-dev,
 libx11-dev,
 libxcb1-dev,
 vulkan-validationlayers-dev (>= 1.1.108),
Standards-Version: 4.5.0
Homepage: https://github.com/felixdoerre/primus_vk
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/nvidia-team/primus-vk
Vcs-Git: https://salsa.debian.org/nvidia-team/primus-vk.git

Package: primus-vk
Architecture: all
Depends:
 primus,
 libprimus-vk1,
 ${misc:Depends}
Suggests:
 primus-vk-nvidia,
Breaks:
 primus-vk-nvidia (<< 1.4-2~),
Replaces:
 primus-vk-nvidia (<< 1.4-2~),
Description: Vulkan layer for GPU offloading
 Typically you want to display an image rendered on a more powerful
 GPU on a display managed by an internal GPU. The layer in this package will
 direct rendering commands to a dedicated, more powerful GPU an when such an
 image is displayed it will be copied to the integrated CPU for displaying.
 .
 The user can activate offloading for individual applications by launching
 them with the "pvkrun" program.

Package: primus-vk-nvidia
Section: contrib/utils
Architecture: amd64 i386 arm64 ppc64el
Depends:
 primus-vk (= ${source:Version}),
 nvidia-primus-vk-wrapper,
 ${misc:Depends}
Conflicts:
 primus-vk-nvidia-i386,
Description: NVIDIA Optimus support for Vulkan applications
 This metapackage depends on all packages necessary to run
 OpenGL and Vulkan applications on a dedicated graphics card
 on systems with Nvidia + Intel Optimus hardware.

Package: libprimus-vk1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libvulkan1 (>= 1.1.108),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 libprimus-vk1:i386 (= ${binary:Version}) [amd64],
Breaks:
 primus-vk (<< 1.4-2~),
Replaces:
 primus-vk (<< 1.4-2~),
Description: vulkan layer library for the primus-vk layer
 This library implements the primus-vk layer. It decides which GPU
 the individual Vulkan API calls should go against and does the image
 copying.

Package: nvidia-primus-vk-common
Section: contrib/libs
Architecture: amd64 i386 arm64 ppc64el
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 nvidia-primus-vk-wrapper,
Breaks:
 primus-vk-nvidia (<< 1.4-2~),
Replaces:
 primus-vk-nvidia (<< 1.4-2~),
Description: thin wrapper for the NVIDIA binary Vulkan ICD (common files)
 This package disables the original NVIDIA binary Vulkan driver and registers
 the thin wrapper from nvidia-primus-vk-wrapper to ensure that the NVIDIA
 driver is usable with bumblebee.

Package: nvidia-primus-vk-wrapper
Section: contrib/libs
Architecture: amd64 i386 arm64 ppc64el
Multi-Arch: same
Depends:
 nvidia-primus-vk-common,
 libvulkan1,
 ${nvidia:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 nvidia-primus-vk-wrapper:i386 (= ${binary:Version}) [amd64],
Breaks:
 libnv-vulkan-wrapper1 (>= 0),
Replaces:
 libnv-vulkan-wrapper1 (>= 0),
Description: thin wrapper for using the NVIDIA binary Vulkan ICD with bumblebee
 This library is a thin wrapper around the Vulkan API functions of the
 nvidia Vulkan driver. The Vulkan driver misbehaves for example by reading the
 DISPLAY environment variable and connecting to that display server. This
 library works around that misbehaviour, so the driver can be used with
 bumblebee.

## primus-vk 1.6.1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -I/usr/include/vulkan -shared -fPIC $^ -o $@ -Wl,-soname,libprimus_vk.so.1 -ldl -lpthread $(LDFLAGS)
 
 libnv_vulkan_wrapper.so: nv_vulkan_wrapper.cpp
-	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -I/usr/include/vulkan -shared -fPIC $^ -o $@ -Wl,-soname,libnv_vulkan_wrapper.so.1 -ldl $(LDFLAGS)
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -I/usr/include/vulkan -shared -fPIC $^ -o $@ -Wl,-soname,libnv_vulkan_wrapper.so.1 -lX11 -lGLX -ldl $(LDFLAGS)
 
 primus_vk_forwarding.h:
 	xsltproc surface_forwarding_functions.xslt /usr/share/vulkan/registry/vk.xml | tail -n +2 > $@

=== debian/changelog ===
primus-vk (1.6.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Add build-dependency on libglvnd-dev for libGLX.so

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Jan 2021 21:29:29 +0000

primus-vk (1.6.1-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream release.

 -- Luca Boccassi <bluca@debian.org>  Sat, 26 Dec 2020 12:21:12 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  bash-completion,
+ libglvnd-dev,
  libvulkan-dev (>= 1.1.108),
  libwayland-dev,
  libx11-dev,
+ mesa-common-dev,
  libxcb1-dev,
  vulkan-validationlayers-dev (>= 1.1.108),
 Standards-Version: 4.5.0

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%primus-vk_$1.tar.gz%" \
   https://github.com/felixdoerre/primus_vk/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## primus-vk 1.6.2

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 datarootdir   = ${PREFIX}/share
 datadir       = ${datarootdir}
 
-override CXXFLAGS += --std=gnu++11 -g3
+override CXXFLAGS += --std=c++17 -g3
 
 all: libprimus_vk.so libnv_vulkan_wrapper.so
 
@@ -30,7 +30,7 @@
 primus_vk.cpp: primus_vk_forwarding.h primus_vk_forwarding_prototypes.h
 
 primus_vk_diag: primus_vk_diag.o
-	$(CXX) -g3 -o $@ $^ -lX11 -lvulkan -ldl $(LDFLAGS)
+	$(CXX) -g3 -o $@ $^ -lX11 -lvulkan -ldl -lpthread $(LDFLAGS)
 
 clean:
 	rm -f libnv_vulkan_wrapper.so libprimus_vk.so

=== debian/changelog ===
primus-vk (1.6.2-2) unstable; urgency=medium

  * Switch to dh-sequence-bash-completion.
  * Update the list of supported drivers.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 10:37:29 +0100

primus-vk (1.6.2-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream release.
    Fixes compatibility with newer wine versions using a specific vulkan
    extension.

  [ Andreas Beckmann ]
  * Update the list of supported Tesla drivers.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Jul 2022 20:52:56 +0200

primus-vk (1.6.1-2) unstable; urgency=medium

  * Update the list of supported Tesla drivers.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Apr 2022 23:30:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- bash-completion,
- libglvnd-dev,
+ dh-sequence-bash-completion,
  libvulkan-dev (>= 1.1.108),
  libwayland-dev,
  libx11-dev,
  mesa-common-dev,
  libxcb1-dev,
+ libxrandr-dev,
  vulkan-validationlayers-dev (>= 1.1.108),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/felixdoerre/primus_vk
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/nvidia-team/primus-vk

=== debian/rules ===
#!/usr/bin/make -f

nv_libs_Debian	+= nvidia-vulkan-icd				[!ppc64el] |
nv_libs_Debian	+= nvidia-tesla-vulkan-icd			[amd64 i386 arm64 ppc64el] |
nv_libs_Debian	+= nvidia-tesla-470-vulkan-icd			[amd64 i386 arm64 ppc64el] |
nv_libs_Debian	+= nvidia-vulkan-icd-any |

nv_libs_Ubuntu	+= bumblebee-nvidia |

VENDOR		:= $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(VENDOR),Ubuntu)
export DEB_CXXFLAGS_MAINT_APPEND=-DNV_DRIVER_PATH=\"libGLX_nvidia.so.0\"
else
export DEB_CXXFLAGS_MAINT_APPEND=-DNV_DRIVER_PATH=\"libGLX_nvidia.so.0:/usr/lib/$(DEB_HOST_MULTIARCH)/nvidia/libGL.so.1\"
endif

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr libdir='$$(PREFIX)'/lib/$(DEB_HOST_MULTIARCH)

override_dh_gencontrol:
	dh_gencontrol -- -V'nvidia:Depends=$(nv_libs_$(VENDOR))'

## primus-vk 1.6.3

=== Makefile ===
--- 
+++ 
@@ -11,15 +11,15 @@
 datarootdir   = ${PREFIX}/share
 datadir       = ${datarootdir}
 
-override CXXFLAGS += --std=c++17 -g3
+override CXXFLAGS += --std=c++17 -g3 -I/usr/include/vulkan -I/usr/include/vulkan/generated
 
 all: libprimus_vk.so libnv_vulkan_wrapper.so
 
 libprimus_vk.so: primus_vk.cpp
-	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -I/usr/include/vulkan -shared -fPIC $^ -o $@ -Wl,-soname,libprimus_vk.so.1 -ldl -lpthread $(LDFLAGS)
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -shared -fPIC $^ -o $@ -Wl,-soname,libprimus_vk.so.1 -ldl -lpthread $(LDFLAGS)
 
 libnv_vulkan_wrapper.so: nv_vulkan_wrapper.cpp
-	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -I/usr/include/vulkan -shared -fPIC $^ -o $@ -Wl,-soname,libnv_vulkan_wrapper.so.1 -lX11 -lGLX -ldl $(LDFLAGS)
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -shared -fPIC $^ -o $@ -Wl,-soname,libnv_vulkan_wrapper.so.1 -lX11 -lGLX -ldl $(LDFLAGS)
 
 primus_vk_forwarding.h:
 	xsltproc surface_forwarding_functions.xslt /usr/share/vulkan/registry/vk.xml | tail -n +2 > $@

=== debian/changelog ===
primus-vk (1.6.3-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream release.
    Resolved build compatibility with newer vulkan-validationlayers
    (Closes: #1042122)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 31 Jul 2023 14:49:27 +0200

## primus-vk 1.6.4

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,12 @@
 datarootdir   = ${PREFIX}/share
 datadir       = ${datarootdir}
 
-override CXXFLAGS += --std=c++17 -g3 -I/usr/include/vulkan -I/usr/include/vulkan/generated
+override CXXFLAGS += --std=c++17 -g3 -I/usr/include/vulkan
 
 all: libprimus_vk.so libnv_vulkan_wrapper.so
 
-libprimus_vk.so: primus_vk.cpp
-	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -shared -fPIC $^ -o $@ -Wl,-soname,libprimus_vk.so.1 -ldl -lpthread $(LDFLAGS)
+libprimus_vk.so: primus_vk.cpp  primus_vk_forwarding.h primus_vk_forwarding_prototypes.h primus_vk_dispatch_table.h
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -shared -fPIC primus_vk.cpp -o $@ -Wl,-soname,libprimus_vk.so.1 -ldl -lpthread $(LDFLAGS)
 
 libnv_vulkan_wrapper.so: nv_vulkan_wrapper.cpp
 	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -shared -fPIC $^ -o $@ -Wl,-soname,libnv_vulkan_wrapper.so.1 -lX11 -lGLX -ldl $(LDFLAGS)
@@ -26,8 +26,6 @@
 
 primus_vk_forwarding_prototypes.h:
 	xsltproc surface_forwarding_prototypes.xslt /usr/share/vulkan/registry/vk.xml | tail -n +2 > $@
-
-primus_vk.cpp: primus_vk_forwarding.h primus_vk_forwarding_prototypes.h
 
 primus_vk_diag: primus_vk_diag.o
 	$(CXX) -g3 -o $@ $^ -lX11 -lvulkan -ldl -lpthread $(LDFLAGS)

=== debian/changelog ===
primus-vk (1.6.4-2) unstable; urgency=medium

  * Update the list of supported drivers.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Jan 2024 00:30:41 +0100

primus-vk (1.6.4-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream release.
    - remove dependency on vulkan-validationlayers, this allows compiling
    with vulkan >=1.3.268
    - link to Gentoo overlay from the Readme

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Dec 2023 10:34:12 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  mesa-common-dev,
  libxcb1-dev,
  libxrandr-dev,
- vulkan-validationlayers-dev (>= 1.1.108),
 Standards-Version: 4.6.2
 Homepage: https://github.com/felixdoerre/primus_vk
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
-nv_libs_Debian	+= nvidia-vulkan-icd				[!ppc64el] |
-nv_libs_Debian	+= nvidia-tesla-vulkan-icd			[amd64 i386 arm64 ppc64el] |
+nv_libs_Debian	+= nvidia-vulkan-icd |
 nv_libs_Debian	+= nvidia-tesla-470-vulkan-icd			[amd64 i386 arm64 ppc64el] |
 nv_libs_Debian	+= nvidia-vulkan-icd-any |

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%primus-vk_$1.tar.gz%" \
   https://github.com/felixdoerre/primus_vk/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
